Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.richtext
Interface RichTextRenderer

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  DefaultRichTextRenderer

    public interface RichTextRenderer

extends java.io.Serializable

The `RichTextRenderer` interface allows the customisation of a `RichTextArea` component. This interface will be called during the rendering of a RichTextArea.

See Also:
  `RichTextArea`

Nested Class Summary
`static interface` | `RichTextRenderer.CommandAppearance` `CommandAppearance` controls what a command image looks like when it is rolled over or currently in a selected state.

Field Summary
`static java.lang.String` | `CMD_ALIGN_CENTER`
`static java.lang.String` | `CMD_ALIGN_LEFT`
`static java.lang.String` | `CMD_ALIGN_RIGHT`
`static java.lang.String` | `CMD_BACKCOLOR`
`static java.lang.String` | `CMD_BOLD` Available RichTextArea Commands
`static java.lang.String` | `CMD_BULLETS`
`static java.lang.String` | `CMD_COPY`
`static java.lang.String` | `CMD_CREATELINK`
`static java.lang.String` | `CMD_CUT`
`static java.lang.String` | `CMD_FORECOLOR`
`static java.lang.String` | `CMD_HINT_NEWLINE` A rendering hint that puts the command on a new line within the RichTextArea toolbar.
`static java.lang.String` | `CMD_HINT_SPACER` A rendering hint that puts the spacer within the RichTextArea toolbar.
`static java.lang.String` | `CMD_INDENT`
`static java.lang.String` | `CMD_INSERTHR`
`static java.lang.String` | `CMD_INSERTIMAGE`
`static java.lang.String` | `CMD_INSERTTABLE`
`static java.lang.String` | `CMD_ITALIC`
`static java.lang.String` | `CMD_JUSTIFY`
`static java.lang.String` | `CMD_NUMBERS`
`static java.lang.String` | `CMD_OUTDENT`
`static java.lang.String` | `CMD_PASTE`
`static java.lang.String` | `CMD_REDO`
`static java.lang.String` | `CMD_REMOVEFORMAT`
`static java.lang.String` | `CMD_SELECTALL`
`static java.lang.String` | `CMD_SPELLCHECK`
`static java.lang.String` | `CMD_SUBSCRIPT`
`static java.lang.String` | `CMD_SUPERSCRIPT`
`static java.lang.String` | `CMD_UNDERLINE`
`static java.lang.String` | `CMD_UNDO`

Method Summary
`RichTextRenderer.CommandAppearance` | `getCommandAppearance(RichTextArea rta, java.lang.String userAgent)` This returns the appearance of the command button images.
`ImageReference` | `getCommandImage(RichTextArea rta, java.lang.String userAgent, java.lang.String command)` This returns an image for a given RTA command.
`java.lang.String[][]` | `getFontNames(RichTextArea rta, java.lang.String userAgent)` This returns a String[n][2] array of font name values and descriptive names.
`java.lang.String[][]` | `getFontSizes(RichTextArea rta, java.lang.String userAgent)` This returns a String[n][2] array of font size values and descriptive names.
`java.lang.String[][]` | `getParagraphStyles(RichTextArea rta, java.lang.String userAgent)` This returns a String[n][2] array of paragraph style values and descriptive names.
`java.lang.String[][]` | `getSupportedCommands(RichTextArea rta, java.lang.String userAgent)` This returns a String[n][2] array of supported commands and descriptive names.

Field Detail

### CMD_BOLD

    static final java.lang.String CMD_BOLD

  Available RichTextArea Commands

  See Also:
    Constant Field Values

### CMD_COPY

    static final java.lang.String CMD_COPY

See Also:
  Constant Field Values

### CMD_CREATELINK

    static final java.lang.String CMD_CREATELINK

See Also:
  Constant Field Values

### CMD_CUT

    static final java.lang.String CMD_CUT

See Also:
  Constant Field Values

### CMD_FORECOLOR

    static final java.lang.String CMD_FORECOLOR

See Also:
  Constant Field Values

### CMD_BACKCOLOR

    static final java.lang.String CMD_BACKCOLOR

See Also:
  Constant Field Values

### CMD_INDENT

    static final java.lang.String CMD_INDENT

See Also:
  Constant Field Values

### CMD_INSERTHR

    static final java.lang.String CMD_INSERTHR

See Also:
  Constant Field Values

### CMD_INSERTIMAGE

    static final java.lang.String CMD_INSERTIMAGE

See Also:
  Constant Field Values

### CMD_NUMBERS

    static final java.lang.String CMD_NUMBERS

See Also:
  Constant Field Values

### CMD_INSERTTABLE

    static final java.lang.String CMD_INSERTTABLE

See Also:
  Constant Field Values

### CMD_BULLETS

    static final java.lang.String CMD_BULLETS

See Also:
  Constant Field Values

### CMD_ITALIC

    static final java.lang.String CMD_ITALIC

See Also:
  Constant Field Values

### CMD_ALIGN_CENTER

    static final java.lang.String CMD_ALIGN_CENTER

See Also:
  Constant Field Values

### CMD_JUSTIFY

    static final java.lang.String CMD_JUSTIFY

See Also:
  Constant Field Values

### CMD_ALIGN_LEFT

    static final java.lang.String CMD_ALIGN_LEFT

See Also:
  Constant Field Values

### CMD_ALIGN_RIGHT

    static final java.lang.String CMD_ALIGN_RIGHT

See Also:
  Constant Field Values

### CMD_OUTDENT

    static final java.lang.String CMD_OUTDENT

See Also:
  Constant Field Values

### CMD_PASTE

    static final java.lang.String CMD_PASTE

See Also:
  Constant Field Values

### CMD_REDO

    static final java.lang.String CMD_REDO

See Also:
  Constant Field Values

### CMD_REMOVEFORMAT

    static final java.lang.String CMD_REMOVEFORMAT

See Also:
  Constant Field Values

### CMD_SELECTALL

    static final java.lang.String CMD_SELECTALL

See Also:
  Constant Field Values

### CMD_SPELLCHECK

    static final java.lang.String CMD_SPELLCHECK

See Also:
  Constant Field Values

### CMD_SUBSCRIPT

    static final java.lang.String CMD_SUBSCRIPT

See Also:
  Constant Field Values

### CMD_SUPERSCRIPT

    static final java.lang.String CMD_SUPERSCRIPT

See Also:
  Constant Field Values

### CMD_UNDERLINE

    static final java.lang.String CMD_UNDERLINE

See Also:
  Constant Field Values

### CMD_UNDO

    static final java.lang.String CMD_UNDO

See Also:
  Constant Field Values

### CMD_HINT_NEWLINE

    static final java.lang.String CMD_HINT_NEWLINE

  A rendering hint that puts the command on a new line within the RichTextArea toolbar.

  See Also:
    Constant Field Values

### CMD_HINT_SPACER

    static final java.lang.String CMD_HINT_SPACER

  A rendering hint that puts the spacer within the RichTextArea toolbar.

  See Also:
    Constant Field Values

Method Detail

### getFontNames

    java.lang.String[][] getFontNames(RichTextArea rta,
                                      java.lang.String userAgent)

  This returns a String[n][2] array of font name values and descriptive names. If null is returned, then the Font Names select field will not be rendered by the RickTextArea. For example {"courier new,courier,monospace","Courier New"},

  Parameters:
    `rta` - - the RichTextArea component in question
    `userAgent` - - the user agent string of the client
  Returns:
    - a [n][2] sized array mapping values to descriptive names.

### getFontSizes

    java.lang.String[][] getFontSizes(RichTextArea rta,
                                      java.lang.String userAgent)

  This returns a String[n][2] array of font size values and descriptive names. If null is returned, then the Font Sizes select field will not be rendered by the RickTextArea. For example {"5","Size 5"},

  Parameters:
    `rta` - - the RichTextArea component in question
    `userAgent` - - the user agent string of the client
  Returns:
    - a [n][2] sized array mapping values to descriptive names.

### getParagraphStyles

    java.lang.String[][] getParagraphStyles(RichTextArea rta,
                                            java.lang.String userAgent)

  This returns a String[n][2] array of paragraph style values and descriptive names. If null is returned, then the Paragraph Styles select field will not be rendered by the RickTextArea. For example {"h1","Heading 1"},

  Parameters:
    `rta` - - the RichTextArea component in question
    `userAgent` - - the user agent string of the client
  Returns:
    - a [n][2] sized array mapping values to descriptive names.

### getSupportedCommands

    java.lang.String[][] getSupportedCommands(RichTextArea rta,
                                              java.lang.String userAgent)

  This returns a String[n][2] array of supported commands and descriptive names. If null is returned, then no commands buttons will be rendered by the RickTextArea.

  The order of the array is the order in which the commands will be rendered. The special markers

  Parameters:
    `rta` - - the RichTextArea component in question
    `userAgent` - - the user agent string of the client
  Returns:
    - a [n][2] sized array mapping command values to descriptive names.

### getCommandImage

    ImageReference getCommandImage(RichTextArea rta,
                                   java.lang.String userAgent,
                                   java.lang.String command)

  This returns an image for a given RTA command.

  This function will only be called for commands that have been allowed via a previous call to the getSupportedCommands method.

  Parameters:
    `rta` - - the RichTextArea component in question
    `userAgent` - - the user agent string of the client
    `command` - - the command in question
  Returns:
    - an ImageReference for the command

### getCommandAppearance

    RichTextRenderer.CommandAppearance getCommandAppearance(RichTextArea rta,
                                                            java.lang.String userAgent)

  This returns the appearance of the command button images. This denotes the standard borders and backgrounds and well as rollover and stateful appearance.

  Parameters:
    `rta` - - the RichTextArea component in question
    `userAgent` - - the user agent string of the client
  Returns:
    - an CommandAppearance instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD